## org.apache.poi.hssf.util
Class CellReference

    java.lang.Object
      org.apache.poi.hssf.util.CellReference

public class CellReference
extends java.lang.Object

Author:
  Avik Sengupta, Dennis Doubleday (patch to seperateRowColumns())

Constructor Summary
`CellReference(int pRow, int pCol)`
`CellReference(int pRow, int pCol, boolean pAbsRow, boolean pAbsCol)`
`CellReference(java.lang.String cellRef)`

Method Summary
`short` `getCol()`
`int` `getRow()`
`java.lang.String` `getSheetName()`
`boolean` `isColAbsolute()`
`boolean` `isRowAbsolute()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CellReference

    public CellReference(java.lang.String cellRef)

### CellReference

    public CellReference(int pRow,
                         int pCol)

### CellReference

    public CellReference(int pRow,
                         int pCol,
                         boolean pAbsRow,
                         boolean pAbsCol)

Method Detail

### getRow

    public int getRow()

### getCol

    public short getCol()

### isRowAbsolute

    public boolean isRowAbsolute()

### isColAbsolute

    public boolean isColAbsolute()

### getSheetName

    public java.lang.String getSheetName()

### toString

    public java.lang.String toString()

Copyright © 2003 Apache Software Foundation.